# Merchant

## Get a Merchant

> Retrieve the merchant associated with the specified merchant number.

```json
{"openapi":"3.0.1","info":{"title":"LaunchIntegratorSetup.API","version":"0.0.1"},"paths":{"/api/launchIntegratorSetup/v1.0/integrateMerchant/merchants/{merchantNumber}":{"get":{"tags":["Merchant"],"summary":"Get a Merchant","description":"Retrieve the merchant associated with the specified merchant number.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"exchangeId","in":"header","description":"Correlation Id for the request.","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a single merchant successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegratorMerchant"}}}},"400":{"description":"If merchantNumber is null or white space."},"404":{"description":"If merchant is not found."},"500":{"description":"Error occurred returning merchant."}}}}},"components":{"schemas":{"IntegratorMerchant":{"type":"object","properties":{"merchantInformation":{"$ref":"#/components/schemas/MerchantInformation"},"mailingAddress":{"$ref":"#/components/schemas/MailingAddress"},"physicalAddress":{"$ref":"#/components/schemas/PhysicalAddress"},"bankAccounts":{"type":"array","items":{"$ref":"#/components/schemas/BankAccount"},"description":"Information about the bank accounts used by the merchant.","nullable":true},"businessContacts":{"type":"array","items":{"$ref":"#/components/schemas/BusinessContact"},"description":"Information about merchant contacts or owners.","nullable":true},"salesProfile":{"$ref":"#/components/schemas/SalesProfile"},"taxpayer":{"$ref":"#/components/schemas/Taxpayer"},"externalCustomerId":{"type":"string","description":"External identifier for the new merchant in your system. \r\nReturned in webhooks alongside the merchant number in your system.","nullable":true},"pricingPlan":{"$ref":"#/components/schemas/PricingPlan"},"applicationExpirationTime":{"type":"integer","description":"Duration (in days) for which the created application links remain valid before expiring. \r\nDefault to 30 days, if not set.","format":"int32"},"pendEmailAddress":{"type":"string","description":"Email address of the Sales Rep or Partner that receives notifications when the merchant application status changes. Statuses: Signed, Approved, Pended, or Declined.","format":"email","nullable":true}},"additionalProperties":false},"MerchantInformation":{"required":["dbaName","emailAddress"],"type":"object","properties":{"dbaName":{"maxLength":100,"type":"string","description":"The publicly facing Doing Business As (DBA) business name."},"merchantNumber":{"maxLength":16,"type":"string","description":"Unique identifier of the merchant in the Xplor Pay system. \r\n\r\nReturned in the response after successful creation; \r\n\r\nshould not be provided in the request.","nullable":true},"emailAddress":{"maxLength":128,"type":"string","description":"The primary business email address. \r\n\r\nThis address is also used to send the merchant a setup link for completing the setup."},"website":{"maxLength":1024,"type":"string","description":"The merchant’s official business website URL, if available.","nullable":true},"phones":{"type":"array","items":{"$ref":"#/components/schemas/BusinessPhone"},"description":"A list containing phone numbers through which the merchant can be contacted.","nullable":true},"acceptsPaperStatements":{"type":"boolean","description":"Indicates whether the merchant should receive paper statements in addition to online statements. \r\n\r\nIf true, statements are mailed to the merchant’s mailing address."},"acceptsPaperTaxForms":{"type":"boolean","description":"Indicates whether the merchant should receive paper tax forms in addition to online forms. \r\n\r\nIf true, forms are mailed to the merchant’s mailing address."},"companyTypeId":{"type":"integer","description":"Identifies the legal business structure of the merchant. \r\nAllowed values: 1 for Sole Proprietorship, 2 for Partnership, 3 for LLC, 8 forNon-Profit/Tax-Exempt, 9 for Government Organization, 10 for Corporation, 11 for Association/Estate/Trust.\r\nYou can retrieve the full list using GET /api/demographics/v1.0/References/CompanyTypes.","format":"int32"},"seasonalSchedule":{"$ref":"#/components/schemas/SeasonalSchedule"},"salesInformation":{"$ref":"#/components/schemas/SalesInformation"}},"additionalProperties":false,"description":"Lists the core details of the merchant to be created."},"BusinessPhone":{"type":"object","properties":{"phoneTypeId":{"type":"integer","description":"Identifies the type of phone number. \r\nAllowed values: 1 for Cell, 2 forFax, 3 for Home, 4 for Other, and 5 for Work.\r\nYou can retrieve the full list using GET /api/demographics/v1.0/References/PhoneTypes.","format":"int32","nullable":true},"areaCode":{"maxLength":3,"type":"string","description":"The 3-digit area code of the phone number.","nullable":true},"phoneNumber":{"maxLength":7,"type":"string","description":"The 7-digit telephone number.","nullable":true},"extension":{"maxLength":8,"type":"string","description":"The extension of the phone number, if needed.","nullable":true}},"additionalProperties":false},"SeasonalSchedule":{"type":"object","properties":{"april":{"type":"boolean","description":"Indicates whether the merchant is open in April month."},"august":{"type":"boolean","description":"Indicates whether the merchant is open in August month."},"december":{"type":"boolean","description":"Indicates whether the merchant is open in December month."},"february":{"type":"boolean","description":"Indicates whether the merchant is open in February month."},"january":{"type":"boolean","description":"Indicates whether the merchant is open in January month."},"july":{"type":"boolean","description":"Indicates whether the merchant is open in July month."},"june":{"type":"boolean","description":"Indicates whether the merchant is open in June month."},"march":{"type":"boolean","description":"Indicates whether the merchant is open in March month."},"may":{"type":"boolean","description":"Indicates whether the merchant is open in May month."},"november":{"type":"boolean","description":"Indicates whether the merchant is open in November month."},"october":{"type":"boolean","description":"Indicates whether the merchant is open in October month."},"september":{"type":"boolean","description":"Indicates whether the merchant is open in September month."}},"additionalProperties":false,"description":"Used to indicate that whether the merchant is seasonal and the months that they are active.\r\nIf this value is set to null, it will be assumed that the merchant is open in all months."},"SalesInformation":{"type":"object","properties":{"assignedUser":{"type":"integer","format":"int32"},"referralPartner":{"type":"string","nullable":true},"compensationType":{"type":"integer","format":"int32"}},"additionalProperties":false,"description":"Used by internal teams to track sales information.\r\nShould be set to null."},"MailingAddress":{"type":"object","properties":{"line1":{"maxLength":80,"type":"string","description":"The first line of the address. Possible values:\r\n    street number\r\n    building number\r\n    street name","nullable":true},"line2":{"maxLength":80,"type":"string","description":"The second line of the address. Possible values:\r\n    apartment number\r\n    suite number\r\n    building number","nullable":true},"line3":{"maxLength":80,"type":"string","description":"The third line of the address, if applicable.","nullable":true},"city":{"maxLength":40,"type":"string","description":"The city or town of the address.","nullable":true},"stateCode":{"maxLength":10,"type":"string","description":"State or region code, using the suffix from ISO 3166-2. \r\nIt makes shorten the code name. (for example, MO from US-MO). \r\nYou can retrieve the valid list using GET /api/demographics/v1.0/References/StateOptions.","nullable":true},"zip":{"maxLength":20,"type":"string","description":"Zip or postal code.","nullable":true},"countryCode":{"type":"integer","description":"The country containing the address. \r\nAllowed values are three-letter ISO 3166-1 country code. \r\nYou can retrieve the valid values using  GET /api/demographics/v1.0/References/CountryOptions","format":"int32"}},"additionalProperties":false,"description":"Information about the mailing address of the merchant."},"PhysicalAddress":{"type":"object","properties":{"line1":{"maxLength":80,"type":"string","description":"The first line of the address. Possible values:\r\n- street number\r\n- building number\r\n- street name","nullable":true},"line2":{"maxLength":80,"type":"string","description":"The second line of the address. Possible values:\r\n- apartment number\r\n- suite number\r\n- building number","nullable":true},"line3":{"maxLength":80,"type":"string","description":"The third line of the address, if applicable.","nullable":true},"city":{"maxLength":40,"type":"string","description":"The city or town of the address.","nullable":true},"stateCode":{"maxLength":10,"type":"string","description":"State or region code, using the suffix from ISO 3166-2. \r\nIt makes shorten the code name. (for example, MO from US-MO). \r\nYou can retrieve the valid list using GET /api/demographics/v1.0/References/StateOptions. \r\nRequired if using an Empower pricing template.","nullable":true},"zip":{"maxLength":20,"type":"string","description":"Zip or postal code.","nullable":true},"countryCode":{"type":"integer","description":"The country containing the address. \r\nAllowed values are three-letter ISO 3166-1 country code. \r\nYou can retrieve the valid values using  GET /api/demographics/v1.0/References/CountryOptions, required if using an empower pricing template.","format":"int32"}},"additionalProperties":false,"description":"Indicates the merchant’s physical address details."},"BankAccount":{"type":"object","properties":{"bankName":{"maxLength":100,"type":"string","description":"The name of the bank associated with the routing number.","nullable":true},"nameOnAccount":{"maxLength":100,"type":"string","description":"Indicates name of the person or business that owns the account. \r\nPopulate either this field or AccountHolderFirstName and AccountHolderLastName depending on the BankAccountNameTypeId field.","nullable":true},"accountHolderFirstName":{"maxLength":20,"type":"string","description":"First name of the account holder. \r\nRequires accountHolderLastName if this field is populated.","nullable":true},"accountHolderLastName":{"maxLength":40,"type":"string","description":"Last name of the account holder. \r\nRequires accountHolderFirstName.","nullable":true},"bankAccountTypeId":{"type":"integer","description":"Indicates the type of bank account. \r\nAllowed values: 1 for Checking, 2 for Savings, 3 for General Ledger.","format":"int32"},"bankAccountNameTypeId":{"type":"integer","description":"Indicates whether the account name matches the Business Legal Name or the Business DBA Name. \r\nAllowed values: 1 for Business Legal Name, 2 for DBA Name, 3for Other.","format":"int32"},"aba":{"maxLength":9,"type":"string","description":"The routing number associated with the bank account. \r\nIt is used for BIC in EU, in UK - Sort Code. \r\nRequired in US and UK; optional in EU.","nullable":true},"accountNumber":{"type":"string","description":"The account number associated with the bank account. In EU it's IBAN, for UK and US it's Account Number.\r\nThis field is required for all markets.","nullable":true},"hasFees":{"type":"boolean","description":"Indicates whether this bank account used to pay any fees charged to the merchant."},"hasFunds":{"type":"boolean","description":"Indicates whether the bank account will be used when funding the merchant."},"hasChargebacks":{"type":"boolean","description":"Indicates whether the bank account will be used to pay any transactions which are charged back to the merchant."},"currency":{"maxLength":3,"minLength":3,"type":"string","description":"The account currency in ISO 4217 code","nullable":true},"purpose":{"$ref":"#/components/schemas/BankAccountPurpose"}},"additionalProperties":false,"description":"Information about a bank account associated with the business."},"BankAccountPurpose":{"enum":["Settlement","Invoicing","Direct"],"type":"string"},"BusinessContact":{"type":"object","properties":{"firstName":{"maxLength":20,"type":"string","description":"The first name of the individual.","nullable":true},"lastName":{"maxLength":20,"type":"string","description":"The last name of the individual.","nullable":true},"ssn":{"maxLength":9,"type":"string","description":"The social security number of the individual.","nullable":true},"dateOfBirth":{"type":"string","description":"The date of birth of the individual","format":"date-time","nullable":true},"countryOfCitizenshipCode":{"type":"integer","description":"The country code of citizenship of the individual in ISO 3166-1 with allowed values are in three letter.","format":"int32"},"line1":{"maxLength":80,"type":"string","description":"The first line of the individual's address. Allowed values:\r\nstreet number\r\nbuilding number\r\nstreet name","nullable":true},"line2":{"maxLength":80,"type":"string","description":"The second line of the individual's address. Allowed values:\r\n    apartment number\r\n    suite number\r\n    building number","nullable":true},"line3":{"maxLength":80,"type":"string","description":"The third line of the individuals address, if applicable.","nullable":true},"city":{"maxLength":40,"type":"string","description":"The city or town of the individuals address.","nullable":true},"stateCode":{"maxLength":10,"type":"string","description":"The state or region of the individuals address. Use suffix from ISO 3166-2. The US-MO would be shortened to MO. \r\nYou can also retrieve possible values using GET /api/demographics/v1.0/References/StateOptions.","nullable":true},"zip":{"maxLength":20,"type":"string","description":"The zip or postal code of the individuals address.","nullable":true},"countryCode":{"type":"integer","description":"Country of the individual’s address in ISO 3166-1 (three-letter). \r\nYou can also retrieve possible values using GET /api/demographics/v1.0/References/CountryOptions.","format":"int32"},"ownershipAmount":{"type":"number","description":"The percentage of the business owned by the individual.","format":"double"},"emailAddress":{"maxLength":128,"type":"string","description":"Email address of the individual.","nullable":true},"title":{"maxLength":200,"type":"string","description":"Business title of the individual in ISO 3166-1 (three-letter).","nullable":true},"phoneNumbers":{"type":"array","items":{"$ref":"#/components/schemas/PhoneNumber"},"description":"The list of phone numbers used to contact the individual.","nullable":true},"contactTypes":{"type":"array","items":{"type":"integer","format":"int32"},"description":"A list of integers that correspond to contact types. Indicates the relationship of the individual to the business. \r\nAllowed values: 1 for Authorized signer who can sign on behalf of the business, 2 for Owner who owns some portion of the business, 3 for Business contact.","nullable":true},"isCompassUser":{"type":"boolean","description":"Indicates whether an account should be created for the individual in the Compass Reporting Portal."},"isAuthorizedToPurchase":{"type":"boolean","description":"Indicates that the individual can make financial decisions on behalf of the business."}},"additionalProperties":false,"description":"Information about an individual associated with the business."},"PhoneNumber":{"type":"object","properties":{"phoneTypeId":{"type":"integer","description":"Identifies the type of phone number. Allowed values: 1 for Cell Phone, 2 for Fax, 3 for Home, 4 for Other, 5 for Work.\r\nYou can also retrieve possible values using  GET /api/demographics/v1.0/References/PhoneTypes.","format":"int32"},"areaCode":{"maxLength":3,"type":"string","description":"The 3-digit area code of the phone number.","nullable":true},"number":{"maxLength":7,"type":"string","description":"The 7-digit telephone number.","nullable":true},"extension":{"maxLength":8,"type":"string","description":"The extension of the phone number, if needed.","nullable":true}},"additionalProperties":false},"SalesProfile":{"required":["mccCode"],"type":"object","properties":{"useExtraCnpValidation":{"type":"boolean","description":"Determines whether dateOfIncorporation is required when merchant is eCommerce or >30% card-not-present.","nullable":true},"mccCode":{"maxLength":4,"type":"string","description":"Merchant Category Code (MCC). A 4-digit code used to classify businesses by goods or services provided."},"isECommerce":{"type":"boolean","description":"Indicates whether the business is entirely online (eCommerce). \r\nRequired if using an empower pricing template.","nullable":true},"cardPresentPercentage":{"type":"number","description":"The percentage of the merchants transactions classified as card present.","format":"double"},"motoKeyedPercentage":{"type":"number","description":"Percentage of merchants transactions of Mail Order/Telephone Order (MOTO) transactions. \r\nIncludes transactions where payment information is provided to the merchant by either mail, email, or phone. \r\nFor merchants where the CardPresentPercentage is 100, this value is assumed to be 0. \r\nOtherwise, the sum of the MotoKeyedPercentage and ECommercePercentage must be 100.","format":"double"},"eCommercePercentage":{"type":"number","description":"The percentage of the merchants transactions where the payment information is provided over the internet.\r\nFor merchants where the CardPresentPercentage is 100, this value is assumed to be 0.\r\nOtherwise, the sum of the MotoKeyedPercentage and ECommercePercentage must be 100.","format":"double"},"returnRefundPolicy":{"maxLength":512,"type":"string","description":"Indicates the merchants policy around returns and refunds.","nullable":true},"productsSold":{"maxLength":256,"type":"string","description":"A description of the products sold by the merchant.","nullable":true},"previouslyAcceptedPaymentCards":{"type":"boolean","description":"Indicates whether the merchant previously accepted card payments."},"previouslyTerminatedOrIdentifiedByRiskMonitoring":{"type":"boolean","description":"<br></br>\r\n            Indicates whether the merchant has previously been terminated by another processor or flagged in risk monitoring."},"reasonPreviouslyTerminatedOrIdentifiedByRisk":{"maxLength":512,"type":"string","description":"<br></br>\r\n            Used to provide additional information when PreviouslyTerminatedOrIdentifiedByRiskMonitoring is set to true.\r\n            Because merchants who were previously terminated by another processor or flagged in risk monitoring may have unique circumstances.","nullable":true},"currentlyOpenForBusiness":{"type":"boolean","description":"Indicates whether the merchant is currently open for business."},"annualVolume":{"type":"number","description":"The annual gross volume of sales done by the merchant. \r\nIf the projected annual sales volume of merchant has been open for less than 12 months.","format":"double"},"averageTicket":{"type":"number","description":"The average volume of a transaction for the merchant.","format":"double"},"highTicket":{"type":"number","description":"Highest transaction volume for the merchant.","format":"double"},"ownsProduct":{"type":"boolean","description":"Indicates whether a merchant owns the products they sell."},"ordersProduct":{"type":"boolean","description":"Indicates whether a merchant orders the products they sell."},"sellsFirearms":{"type":"boolean","description":"Indicates whether a merchant sells firearms."},"sellsFirearmAccessories":{"type":"boolean","description":"Indicates whether a merchant sells firearms accessories."},"futureDeliveryTypeId":{"type":"integer","description":"For merchants who deliver products after the time of purchase, this field indicates the typical range in which products are delivered. Required if the FutureDeliveryPercentage is greater than 0.\r\nAllowed values: 1for 1–7 days, 2 for 7–14 days, 3 for Late.\r\nYou can also retrieve possible values using GET /api/demographics/v1.0/References/FutureDeliveryTypes.","format":"int32","nullable":true},"otherDeliveryType":{"type":"string","description":"Used to provide additional information when products are delivered.\r\nRequired when FutureDeliveryTypeId is \"3\".","nullable":true},"futureDeliveryPercentage":{"type":"number","description":"Percentage of products delivered after purchase.","format":"double"},"fireArmsLicense":{"maxLength":15,"type":"string","description":"The Federal Firearms License (FFL) number assigned to a merchant by the U.S. Bureau of Alcohol, Tobacco, Firearms and Explosives.\r\nA 15 digit number containing 14 numbers and 1 letter.\r\nRequired when a SellsFirearms is true.\r\nCan be left null, otherwise.","nullable":true},"cardBrands":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Indicates the set of card brands that are accepted by the partner. \r\nAllowed values: 1 for American Express through the OptBlue Program, 2 for Debit, 3 for Discover, 4 for MasterCard, 5 for Visa, 6 for EBT, and 7 for American Express (AmEx) through the ESA Program. Required if using an Empower Pricing Template. \r\nLeave null if the intent is to omit the value.","nullable":true},"ebtNumber":{"maxLength":20,"type":"string","description":"The Electronics Benefit Transfer (EBT) number assigned to a merchant by the U.S. Department of Agriculture.\r\nTypically a 7 digit number. Required when CardBrands includes the value \"6\" indicating that the merchant accepts EBT.\r\nCan be left null, otherwise.","nullable":true},"amexMID":{"maxLength":9,"type":"string","description":"The AmexMID is the number assigned to participants in American Expresses ESA program.\r\nRequired when CardBrands includes the value \"7\" indicating that the merchant accepts American Express through the ESA Program.\r\nCan be left null, otherwise.","nullable":true},"sellsCBD":{"type":"boolean","description":"Indicates whether the merchant sells CBD or CBD based products."},"cbdSalesTypeID":{"type":"integer","description":"Used to indicate whether the merchant participates in the Clearent CBD Program.","format":"int32","nullable":true},"salesProfileCBD":{"$ref":"#/components/schemas/SalesProfileCBD"}},"additionalProperties":false,"description":"Sales information related to the merchant."},"SalesProfileCBD":{"type":"object","properties":{"annualCBDRevenuePercentage":{"type":"number","description":"Percentage of the merchant's annual revenue from CBD product sales.","format":"double","nullable":true},"cbdProductInventoryPercentage":{"type":"number","description":"Percentage of the merchant’s inventory that contains CBD products.","format":"double","nullable":true},"cbdCategoryID":{"type":"integer","description":"The CBD Category designator for the acquiring bank.\r\nThis value does not need to be provided and will be calculated on the backend.","format":"int32","nullable":true},"incorporatedDate":{"type":"string","description":"The date of incorporation of the merchant.\r\nDates can be provided in the format yyyy-mm-ddThh:mm:ss or yyyy-mm-dd, however hours minutes and seconds will be omitted.","format":"date-time","nullable":true}},"additionalProperties":false},"Taxpayer":{"type":"object","properties":{"tin":{"maxLength":9,"type":"string","description":"Taxpayer Identification Number (TIN) or Employer Identification Number (EIN) assigned by the IRS.\r\nFor Sole Proprietors and Single Owner LLCs the SSN of the owner can be used instead.","nullable":true},"tinTypeId":{"type":"integer","description":"Used to indicate the type of value added in the TIN field. \r\nAllowed values: 1 for TIN, 2 for SSN.","format":"int32"},"businessLegalName":{"maxLength":100,"type":"string","description":"The official name of the business.\r\nThis would be the same name used when registering the business with legal entities.","nullable":true},"stateIncorporatedCode":{"maxLength":10,"type":"string","description":"State or region where the company was registered. \r\nBased on ISO 3166-2 suffix, the code US-MO would be shortened to MO.","nullable":true}},"additionalProperties":false,"description":"Contains the merchant’s taxpayer details."},"PricingPlan":{"type":"object","properties":{"pricingFees":{"type":"array","items":{"$ref":"#/components/schemas/PricingPlanFee"},"description":"The set of pricing fees which will be applied to this merchant.","nullable":true},"pricingPlanID":{"type":"integer","description":"The identifier for the pricing plan.","format":"int32"},"pricingPlanTemplateID":{"type":"integer","description":"The template ID used to validate this pricing plan. \r\nThese are assigned at the partner level and will be provided by your integration specialist.","format":"int32"},"pricingTypeCode":{"type":"string","description":"The value will be provided by integration specialist."},"isAdvancedPricing":{"type":"boolean","description":"The value will be provided by integration specialist."},"isEMF":{"type":"boolean","description":"Enrolls the merchant in Xplor Pay’s EMF (Express Merchant Funding) program, giving them next-business-day funding of batches submitted prior to 11:00 p.m. Eastern Time (US only)."},"isDailySettle":{"type":"boolean","description":"Determines how transaction fees are settled for the merchant. \r\nIf IsDailySettle is set to true, fees are deducted from the merchant's daily deposit. \r\nIf false, fees are deducted from the merchant's bank account at the end of the month. \r\n(Note: Month End Billing Option fee may apply monthly settlements)."},"includeAssessments":{"type":"boolean"}},"additionalProperties":false,"description":"The pricing plan contains the set of rates and fees which will be charged to the merchant.\r\nIf no pricing plan is provided as part of the request, this will be automatically set based on the configuration of the partner."},"PricingPlanFee":{"type":"object","properties":{"clearentPricingFeeID":{"type":"integer","description":"The set of pricing fees applied to the merchant.","format":"int32"},"pricingFeeDescription":{"type":"string","description":"A description of the pricing fee (not required when creating or updating pricing fee).","nullable":true},"rate":{"type":"number","description":"Used to indicate a percentage of the transaction amount that will be applied as a fee on each transaction of this type.","format":"double","nullable":true},"fee":{"type":"number","description":"Indicates flat fee applied per transaction or on a monthly/semi-annual/annual basis for non-transactional fees.","format":"double","nullable":true},"payInMonth1":{"type":"integer","description":"Used to indicate the month in which annual fees should be billed or the first month in which a semi-annual fee should be billed. \r\nSet to null if not applicable.","format":"int32","nullable":true},"payInMonth2":{"type":"integer","description":"Used to indicate the second month in which a semi-annual fees should be billed. Set to null if not applicable.","format":"int32","nullable":true}},"additionalProperties":false}}}}
```

## Create a New Merchant

> Create a new merchant record using the data provided in the request body.> \\
>
> \
> To successfully create a merchant, include at least the following required fields:> \\
>
> \
> \- \`dbaName\`> \
> \- \`emailAddress\`> \
> \- \`mccCode\`

```json
{"openapi":"3.0.1","info":{"title":"LaunchIntegratorSetup.API","version":"0.0.1"},"paths":{"/api/launchIntegratorSetup/v1.0/integrateMerchant/{hierarchyNodeKey}":{"post":{"tags":["Merchant"],"summary":"Create a New Merchant","description":"Create a new merchant record using the data provided in the request body.\r\n\r\nTo successfully create a merchant, include at least the following required fields:\r\n\r\n- `dbaName`\r\n- `emailAddress`\r\n- `mccCode`","parameters":[{"name":"hierarchyNodeKey","in":"path","description":"The hierarchy node of the parent under which the new merchant should be created.","required":true,"schema":{"type":"string"}},{"name":"exchangeId","in":"header","description":"Correlation Id for the request.","schema":{"type":"string"}}],"requestBody":{"description":"The IntegratorMerchant object which contains information about the new merchant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegratorMerchant"}}},"required":true},"responses":{"201":{"description":"Merchant was successfully created and a link was successfully emailed to the merchant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantResponse"}}}},"400":{"description":"Bad request: Either an invalid JSON request or hierarchy node key.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantResponse"}}}},"500":{"description":"Error occurred retrieving data."}}}}},"components":{"schemas":{"IntegratorMerchant":{"type":"object","properties":{"merchantInformation":{"$ref":"#/components/schemas/MerchantInformation"},"mailingAddress":{"$ref":"#/components/schemas/MailingAddress"},"physicalAddress":{"$ref":"#/components/schemas/PhysicalAddress"},"bankAccounts":{"type":"array","items":{"$ref":"#/components/schemas/BankAccount"},"description":"Information about the bank accounts used by the merchant.","nullable":true},"businessContacts":{"type":"array","items":{"$ref":"#/components/schemas/BusinessContact"},"description":"Information about merchant contacts or owners.","nullable":true},"salesProfile":{"$ref":"#/components/schemas/SalesProfile"},"taxpayer":{"$ref":"#/components/schemas/Taxpayer"},"externalCustomerId":{"type":"string","description":"External identifier for the new merchant in your system. \r\nReturned in webhooks alongside the merchant number in your system.","nullable":true},"pricingPlan":{"$ref":"#/components/schemas/PricingPlan"},"applicationExpirationTime":{"type":"integer","description":"Duration (in days) for which the created application links remain valid before expiring. \r\nDefault to 30 days, if not set.","format":"int32"},"pendEmailAddress":{"type":"string","description":"Email address of the Sales Rep or Partner that receives notifications when the merchant application status changes. Statuses: Signed, Approved, Pended, or Declined.","format":"email","nullable":true}},"additionalProperties":false},"MerchantInformation":{"required":["dbaName","emailAddress"],"type":"object","properties":{"dbaName":{"maxLength":100,"type":"string","description":"The publicly facing Doing Business As (DBA) business name."},"merchantNumber":{"maxLength":16,"type":"string","description":"Unique identifier of the merchant in the Xplor Pay system. \r\n\r\nReturned in the response after successful creation; \r\n\r\nshould not be provided in the request.","nullable":true},"emailAddress":{"maxLength":128,"type":"string","description":"The primary business email address. \r\n\r\nThis address is also used to send the merchant a setup link for completing the setup."},"website":{"maxLength":1024,"type":"string","description":"The merchant’s official business website URL, if available.","nullable":true},"phones":{"type":"array","items":{"$ref":"#/components/schemas/BusinessPhone"},"description":"A list containing phone numbers through which the merchant can be contacted.","nullable":true},"acceptsPaperStatements":{"type":"boolean","description":"Indicates whether the merchant should receive paper statements in addition to online statements. \r\n\r\nIf true, statements are mailed to the merchant’s mailing address."},"acceptsPaperTaxForms":{"type":"boolean","description":"Indicates whether the merchant should receive paper tax forms in addition to online forms. \r\n\r\nIf true, forms are mailed to the merchant’s mailing address."},"companyTypeId":{"type":"integer","description":"Identifies the legal business structure of the merchant. \r\nAllowed values: 1 for Sole Proprietorship, 2 for Partnership, 3 for LLC, 8 forNon-Profit/Tax-Exempt, 9 for Government Organization, 10 for Corporation, 11 for Association/Estate/Trust.\r\nYou can retrieve the full list using GET /api/demographics/v1.0/References/CompanyTypes.","format":"int32"},"seasonalSchedule":{"$ref":"#/components/schemas/SeasonalSchedule"},"salesInformation":{"$ref":"#/components/schemas/SalesInformation"}},"additionalProperties":false,"description":"Lists the core details of the merchant to be created."},"BusinessPhone":{"type":"object","properties":{"phoneTypeId":{"type":"integer","description":"Identifies the type of phone number. \r\nAllowed values: 1 for Cell, 2 forFax, 3 for Home, 4 for Other, and 5 for Work.\r\nYou can retrieve the full list using GET /api/demographics/v1.0/References/PhoneTypes.","format":"int32","nullable":true},"areaCode":{"maxLength":3,"type":"string","description":"The 3-digit area code of the phone number.","nullable":true},"phoneNumber":{"maxLength":7,"type":"string","description":"The 7-digit telephone number.","nullable":true},"extension":{"maxLength":8,"type":"string","description":"The extension of the phone number, if needed.","nullable":true}},"additionalProperties":false},"SeasonalSchedule":{"type":"object","properties":{"april":{"type":"boolean","description":"Indicates whether the merchant is open in April month."},"august":{"type":"boolean","description":"Indicates whether the merchant is open in August month."},"december":{"type":"boolean","description":"Indicates whether the merchant is open in December month."},"february":{"type":"boolean","description":"Indicates whether the merchant is open in February month."},"january":{"type":"boolean","description":"Indicates whether the merchant is open in January month."},"july":{"type":"boolean","description":"Indicates whether the merchant is open in July month."},"june":{"type":"boolean","description":"Indicates whether the merchant is open in June month."},"march":{"type":"boolean","description":"Indicates whether the merchant is open in March month."},"may":{"type":"boolean","description":"Indicates whether the merchant is open in May month."},"november":{"type":"boolean","description":"Indicates whether the merchant is open in November month."},"october":{"type":"boolean","description":"Indicates whether the merchant is open in October month."},"september":{"type":"boolean","description":"Indicates whether the merchant is open in September month."}},"additionalProperties":false,"description":"Used to indicate that whether the merchant is seasonal and the months that they are active.\r\nIf this value is set to null, it will be assumed that the merchant is open in all months."},"SalesInformation":{"type":"object","properties":{"assignedUser":{"type":"integer","format":"int32"},"referralPartner":{"type":"string","nullable":true},"compensationType":{"type":"integer","format":"int32"}},"additionalProperties":false,"description":"Used by internal teams to track sales information.\r\nShould be set to null."},"MailingAddress":{"type":"object","properties":{"line1":{"maxLength":80,"type":"string","description":"The first line of the address. Possible values:\r\n    street number\r\n    building number\r\n    street name","nullable":true},"line2":{"maxLength":80,"type":"string","description":"The second line of the address. Possible values:\r\n    apartment number\r\n    suite number\r\n    building number","nullable":true},"line3":{"maxLength":80,"type":"string","description":"The third line of the address, if applicable.","nullable":true},"city":{"maxLength":40,"type":"string","description":"The city or town of the address.","nullable":true},"stateCode":{"maxLength":10,"type":"string","description":"State or region code, using the suffix from ISO 3166-2. \r\nIt makes shorten the code name. (for example, MO from US-MO). \r\nYou can retrieve the valid list using GET /api/demographics/v1.0/References/StateOptions.","nullable":true},"zip":{"maxLength":20,"type":"string","description":"Zip or postal code.","nullable":true},"countryCode":{"type":"integer","description":"The country containing the address. \r\nAllowed values are three-letter ISO 3166-1 country code. \r\nYou can retrieve the valid values using  GET /api/demographics/v1.0/References/CountryOptions","format":"int32"}},"additionalProperties":false,"description":"Information about the mailing address of the merchant."},"PhysicalAddress":{"type":"object","properties":{"line1":{"maxLength":80,"type":"string","description":"The first line of the address. Possible values:\r\n- street number\r\n- building number\r\n- street name","nullable":true},"line2":{"maxLength":80,"type":"string","description":"The second line of the address. Possible values:\r\n- apartment number\r\n- suite number\r\n- building number","nullable":true},"line3":{"maxLength":80,"type":"string","description":"The third line of the address, if applicable.","nullable":true},"city":{"maxLength":40,"type":"string","description":"The city or town of the address.","nullable":true},"stateCode":{"maxLength":10,"type":"string","description":"State or region code, using the suffix from ISO 3166-2. \r\nIt makes shorten the code name. (for example, MO from US-MO). \r\nYou can retrieve the valid list using GET /api/demographics/v1.0/References/StateOptions. \r\nRequired if using an Empower pricing template.","nullable":true},"zip":{"maxLength":20,"type":"string","description":"Zip or postal code.","nullable":true},"countryCode":{"type":"integer","description":"The country containing the address. \r\nAllowed values are three-letter ISO 3166-1 country code. \r\nYou can retrieve the valid values using  GET /api/demographics/v1.0/References/CountryOptions, required if using an empower pricing template.","format":"int32"}},"additionalProperties":false,"description":"Indicates the merchant’s physical address details."},"BankAccount":{"type":"object","properties":{"bankName":{"maxLength":100,"type":"string","description":"The name of the bank associated with the routing number.","nullable":true},"nameOnAccount":{"maxLength":100,"type":"string","description":"Indicates name of the person or business that owns the account. \r\nPopulate either this field or AccountHolderFirstName and AccountHolderLastName depending on the BankAccountNameTypeId field.","nullable":true},"accountHolderFirstName":{"maxLength":20,"type":"string","description":"First name of the account holder. \r\nRequires accountHolderLastName if this field is populated.","nullable":true},"accountHolderLastName":{"maxLength":40,"type":"string","description":"Last name of the account holder. \r\nRequires accountHolderFirstName.","nullable":true},"bankAccountTypeId":{"type":"integer","description":"Indicates the type of bank account. \r\nAllowed values: 1 for Checking, 2 for Savings, 3 for General Ledger.","format":"int32"},"bankAccountNameTypeId":{"type":"integer","description":"Indicates whether the account name matches the Business Legal Name or the Business DBA Name. \r\nAllowed values: 1 for Business Legal Name, 2 for DBA Name, 3for Other.","format":"int32"},"aba":{"maxLength":9,"type":"string","description":"The routing number associated with the bank account. \r\nIt is used for BIC in EU, in UK - Sort Code. \r\nRequired in US and UK; optional in EU.","nullable":true},"accountNumber":{"type":"string","description":"The account number associated with the bank account. In EU it's IBAN, for UK and US it's Account Number.\r\nThis field is required for all markets.","nullable":true},"hasFees":{"type":"boolean","description":"Indicates whether this bank account used to pay any fees charged to the merchant."},"hasFunds":{"type":"boolean","description":"Indicates whether the bank account will be used when funding the merchant."},"hasChargebacks":{"type":"boolean","description":"Indicates whether the bank account will be used to pay any transactions which are charged back to the merchant."},"currency":{"maxLength":3,"minLength":3,"type":"string","description":"The account currency in ISO 4217 code","nullable":true},"purpose":{"$ref":"#/components/schemas/BankAccountPurpose"}},"additionalProperties":false,"description":"Information about a bank account associated with the business."},"BankAccountPurpose":{"enum":["Settlement","Invoicing","Direct"],"type":"string"},"BusinessContact":{"type":"object","properties":{"firstName":{"maxLength":20,"type":"string","description":"The first name of the individual.","nullable":true},"lastName":{"maxLength":20,"type":"string","description":"The last name of the individual.","nullable":true},"ssn":{"maxLength":9,"type":"string","description":"The social security number of the individual.","nullable":true},"dateOfBirth":{"type":"string","description":"The date of birth of the individual","format":"date-time","nullable":true},"countryOfCitizenshipCode":{"type":"integer","description":"The country code of citizenship of the individual in ISO 3166-1 with allowed values are in three letter.","format":"int32"},"line1":{"maxLength":80,"type":"string","description":"The first line of the individual's address. Allowed values:\r\nstreet number\r\nbuilding number\r\nstreet name","nullable":true},"line2":{"maxLength":80,"type":"string","description":"The second line of the individual's address. Allowed values:\r\n    apartment number\r\n    suite number\r\n    building number","nullable":true},"line3":{"maxLength":80,"type":"string","description":"The third line of the individuals address, if applicable.","nullable":true},"city":{"maxLength":40,"type":"string","description":"The city or town of the individuals address.","nullable":true},"stateCode":{"maxLength":10,"type":"string","description":"The state or region of the individuals address. Use suffix from ISO 3166-2. The US-MO would be shortened to MO. \r\nYou can also retrieve possible values using GET /api/demographics/v1.0/References/StateOptions.","nullable":true},"zip":{"maxLength":20,"type":"string","description":"The zip or postal code of the individuals address.","nullable":true},"countryCode":{"type":"integer","description":"Country of the individual’s address in ISO 3166-1 (three-letter). \r\nYou can also retrieve possible values using GET /api/demographics/v1.0/References/CountryOptions.","format":"int32"},"ownershipAmount":{"type":"number","description":"The percentage of the business owned by the individual.","format":"double"},"emailAddress":{"maxLength":128,"type":"string","description":"Email address of the individual.","nullable":true},"title":{"maxLength":200,"type":"string","description":"Business title of the individual in ISO 3166-1 (three-letter).","nullable":true},"phoneNumbers":{"type":"array","items":{"$ref":"#/components/schemas/PhoneNumber"},"description":"The list of phone numbers used to contact the individual.","nullable":true},"contactTypes":{"type":"array","items":{"type":"integer","format":"int32"},"description":"A list of integers that correspond to contact types. Indicates the relationship of the individual to the business. \r\nAllowed values: 1 for Authorized signer who can sign on behalf of the business, 2 for Owner who owns some portion of the business, 3 for Business contact.","nullable":true},"isCompassUser":{"type":"boolean","description":"Indicates whether an account should be created for the individual in the Compass Reporting Portal."},"isAuthorizedToPurchase":{"type":"boolean","description":"Indicates that the individual can make financial decisions on behalf of the business."}},"additionalProperties":false,"description":"Information about an individual associated with the business."},"PhoneNumber":{"type":"object","properties":{"phoneTypeId":{"type":"integer","description":"Identifies the type of phone number. Allowed values: 1 for Cell Phone, 2 for Fax, 3 for Home, 4 for Other, 5 for Work.\r\nYou can also retrieve possible values using  GET /api/demographics/v1.0/References/PhoneTypes.","format":"int32"},"areaCode":{"maxLength":3,"type":"string","description":"The 3-digit area code of the phone number.","nullable":true},"number":{"maxLength":7,"type":"string","description":"The 7-digit telephone number.","nullable":true},"extension":{"maxLength":8,"type":"string","description":"The extension of the phone number, if needed.","nullable":true}},"additionalProperties":false},"SalesProfile":{"required":["mccCode"],"type":"object","properties":{"useExtraCnpValidation":{"type":"boolean","description":"Determines whether dateOfIncorporation is required when merchant is eCommerce or >30% card-not-present.","nullable":true},"mccCode":{"maxLength":4,"type":"string","description":"Merchant Category Code (MCC). A 4-digit code used to classify businesses by goods or services provided."},"isECommerce":{"type":"boolean","description":"Indicates whether the business is entirely online (eCommerce). \r\nRequired if using an empower pricing template.","nullable":true},"cardPresentPercentage":{"type":"number","description":"The percentage of the merchants transactions classified as card present.","format":"double"},"motoKeyedPercentage":{"type":"number","description":"Percentage of merchants transactions of Mail Order/Telephone Order (MOTO) transactions. \r\nIncludes transactions where payment information is provided to the merchant by either mail, email, or phone. \r\nFor merchants where the CardPresentPercentage is 100, this value is assumed to be 0. \r\nOtherwise, the sum of the MotoKeyedPercentage and ECommercePercentage must be 100.","format":"double"},"eCommercePercentage":{"type":"number","description":"The percentage of the merchants transactions where the payment information is provided over the internet.\r\nFor merchants where the CardPresentPercentage is 100, this value is assumed to be 0.\r\nOtherwise, the sum of the MotoKeyedPercentage and ECommercePercentage must be 100.","format":"double"},"returnRefundPolicy":{"maxLength":512,"type":"string","description":"Indicates the merchants policy around returns and refunds.","nullable":true},"productsSold":{"maxLength":256,"type":"string","description":"A description of the products sold by the merchant.","nullable":true},"previouslyAcceptedPaymentCards":{"type":"boolean","description":"Indicates whether the merchant previously accepted card payments."},"previouslyTerminatedOrIdentifiedByRiskMonitoring":{"type":"boolean","description":"<br></br>\r\n            Indicates whether the merchant has previously been terminated by another processor or flagged in risk monitoring."},"reasonPreviouslyTerminatedOrIdentifiedByRisk":{"maxLength":512,"type":"string","description":"<br></br>\r\n            Used to provide additional information when PreviouslyTerminatedOrIdentifiedByRiskMonitoring is set to true.\r\n            Because merchants who were previously terminated by another processor or flagged in risk monitoring may have unique circumstances.","nullable":true},"currentlyOpenForBusiness":{"type":"boolean","description":"Indicates whether the merchant is currently open for business."},"annualVolume":{"type":"number","description":"The annual gross volume of sales done by the merchant. \r\nIf the projected annual sales volume of merchant has been open for less than 12 months.","format":"double"},"averageTicket":{"type":"number","description":"The average volume of a transaction for the merchant.","format":"double"},"highTicket":{"type":"number","description":"Highest transaction volume for the merchant.","format":"double"},"ownsProduct":{"type":"boolean","description":"Indicates whether a merchant owns the products they sell."},"ordersProduct":{"type":"boolean","description":"Indicates whether a merchant orders the products they sell."},"sellsFirearms":{"type":"boolean","description":"Indicates whether a merchant sells firearms."},"sellsFirearmAccessories":{"type":"boolean","description":"Indicates whether a merchant sells firearms accessories."},"futureDeliveryTypeId":{"type":"integer","description":"For merchants who deliver products after the time of purchase, this field indicates the typical range in which products are delivered. Required if the FutureDeliveryPercentage is greater than 0.\r\nAllowed values: 1for 1–7 days, 2 for 7–14 days, 3 for Late.\r\nYou can also retrieve possible values using GET /api/demographics/v1.0/References/FutureDeliveryTypes.","format":"int32","nullable":true},"otherDeliveryType":{"type":"string","description":"Used to provide additional information when products are delivered.\r\nRequired when FutureDeliveryTypeId is \"3\".","nullable":true},"futureDeliveryPercentage":{"type":"number","description":"Percentage of products delivered after purchase.","format":"double"},"fireArmsLicense":{"maxLength":15,"type":"string","description":"The Federal Firearms License (FFL) number assigned to a merchant by the U.S. Bureau of Alcohol, Tobacco, Firearms and Explosives.\r\nA 15 digit number containing 14 numbers and 1 letter.\r\nRequired when a SellsFirearms is true.\r\nCan be left null, otherwise.","nullable":true},"cardBrands":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Indicates the set of card brands that are accepted by the partner. \r\nAllowed values: 1 for American Express through the OptBlue Program, 2 for Debit, 3 for Discover, 4 for MasterCard, 5 for Visa, 6 for EBT, and 7 for American Express (AmEx) through the ESA Program. Required if using an Empower Pricing Template. \r\nLeave null if the intent is to omit the value.","nullable":true},"ebtNumber":{"maxLength":20,"type":"string","description":"The Electronics Benefit Transfer (EBT) number assigned to a merchant by the U.S. Department of Agriculture.\r\nTypically a 7 digit number. Required when CardBrands includes the value \"6\" indicating that the merchant accepts EBT.\r\nCan be left null, otherwise.","nullable":true},"amexMID":{"maxLength":9,"type":"string","description":"The AmexMID is the number assigned to participants in American Expresses ESA program.\r\nRequired when CardBrands includes the value \"7\" indicating that the merchant accepts American Express through the ESA Program.\r\nCan be left null, otherwise.","nullable":true},"sellsCBD":{"type":"boolean","description":"Indicates whether the merchant sells CBD or CBD based products."},"cbdSalesTypeID":{"type":"integer","description":"Used to indicate whether the merchant participates in the Clearent CBD Program.","format":"int32","nullable":true},"salesProfileCBD":{"$ref":"#/components/schemas/SalesProfileCBD"}},"additionalProperties":false,"description":"Sales information related to the merchant."},"SalesProfileCBD":{"type":"object","properties":{"annualCBDRevenuePercentage":{"type":"number","description":"Percentage of the merchant's annual revenue from CBD product sales.","format":"double","nullable":true},"cbdProductInventoryPercentage":{"type":"number","description":"Percentage of the merchant’s inventory that contains CBD products.","format":"double","nullable":true},"cbdCategoryID":{"type":"integer","description":"The CBD Category designator for the acquiring bank.\r\nThis value does not need to be provided and will be calculated on the backend.","format":"int32","nullable":true},"incorporatedDate":{"type":"string","description":"The date of incorporation of the merchant.\r\nDates can be provided in the format yyyy-mm-ddThh:mm:ss or yyyy-mm-dd, however hours minutes and seconds will be omitted.","format":"date-time","nullable":true}},"additionalProperties":false},"Taxpayer":{"type":"object","properties":{"tin":{"maxLength":9,"type":"string","description":"Taxpayer Identification Number (TIN) or Employer Identification Number (EIN) assigned by the IRS.\r\nFor Sole Proprietors and Single Owner LLCs the SSN of the owner can be used instead.","nullable":true},"tinTypeId":{"type":"integer","description":"Used to indicate the type of value added in the TIN field. \r\nAllowed values: 1 for TIN, 2 for SSN.","format":"int32"},"businessLegalName":{"maxLength":100,"type":"string","description":"The official name of the business.\r\nThis would be the same name used when registering the business with legal entities.","nullable":true},"stateIncorporatedCode":{"maxLength":10,"type":"string","description":"State or region where the company was registered. \r\nBased on ISO 3166-2 suffix, the code US-MO would be shortened to MO.","nullable":true}},"additionalProperties":false,"description":"Contains the merchant’s taxpayer details."},"PricingPlan":{"type":"object","properties":{"pricingFees":{"type":"array","items":{"$ref":"#/components/schemas/PricingPlanFee"},"description":"The set of pricing fees which will be applied to this merchant.","nullable":true},"pricingPlanID":{"type":"integer","description":"The identifier for the pricing plan.","format":"int32"},"pricingPlanTemplateID":{"type":"integer","description":"The template ID used to validate this pricing plan. \r\nThese are assigned at the partner level and will be provided by your integration specialist.","format":"int32"},"pricingTypeCode":{"type":"string","description":"The value will be provided by integration specialist."},"isAdvancedPricing":{"type":"boolean","description":"The value will be provided by integration specialist."},"isEMF":{"type":"boolean","description":"Enrolls the merchant in Xplor Pay’s EMF (Express Merchant Funding) program, giving them next-business-day funding of batches submitted prior to 11:00 p.m. Eastern Time (US only)."},"isDailySettle":{"type":"boolean","description":"Determines how transaction fees are settled for the merchant. \r\nIf IsDailySettle is set to true, fees are deducted from the merchant's daily deposit. \r\nIf false, fees are deducted from the merchant's bank account at the end of the month. \r\n(Note: Month End Billing Option fee may apply monthly settlements)."},"includeAssessments":{"type":"boolean"}},"additionalProperties":false,"description":"The pricing plan contains the set of rates and fees which will be charged to the merchant.\r\nIf no pricing plan is provided as part of the request, this will be automatically set based on the configuration of the partner."},"PricingPlanFee":{"type":"object","properties":{"clearentPricingFeeID":{"type":"integer","description":"The set of pricing fees applied to the merchant.","format":"int32"},"pricingFeeDescription":{"type":"string","description":"A description of the pricing fee (not required when creating or updating pricing fee).","nullable":true},"rate":{"type":"number","description":"Used to indicate a percentage of the transaction amount that will be applied as a fee on each transaction of this type.","format":"double","nullable":true},"fee":{"type":"number","description":"Indicates flat fee applied per transaction or on a monthly/semi-annual/annual basis for non-transactional fees.","format":"double","nullable":true},"payInMonth1":{"type":"integer","description":"Used to indicate the month in which annual fees should be billed or the first month in which a semi-annual fee should be billed. \r\nSet to null if not applicable.","format":"int32","nullable":true},"payInMonth2":{"type":"integer","description":"Used to indicate the second month in which a semi-annual fees should be billed. Set to null if not applicable.","format":"int32","nullable":true}},"additionalProperties":false},"MerchantResponse":{"type":"object","properties":{"merchant":{"$ref":"#/components/schemas/IntegratorMerchant"},"applicationURL":{"type":"string","description":"URL of the newly created merchant application. Integrators can use this link to access or share the merchant application.","format":"uri","nullable":true},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorResponse"},"description":"Contains error information, if any, that occurred during the merchant creation process.","nullable":true}},"additionalProperties":false},"ErrorResponse":{"type":"object","properties":{"errorMessage":{"type":"string","description":"A high-level description of the error encountered.","nullable":true},"errorResults":{"type":"array","items":{"$ref":"#/components/schemas/ErrorResult"},"description":"Detailed results of individual errors related to specific fields or operations.","nullable":true}},"additionalProperties":false},"ErrorResult":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Specific error message describing the issue with a particular field or operation.","nullable":true},"resultCode":{"type":"integer","description":"A numeric code representing the type or category of the error.","format":"int32"},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Path to the field(s) in the request body that caused the error.","nullable":true},"timeStamp":{"type":"string","description":"UTC timestamp indicating when the error occurred.","format":"date-time"}},"additionalProperties":false}}}}
```
